package com.nbclass.config;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.CorsRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

/**
 * 跨域请求配置
 * @author Leon
 * @datetime 2019年4月3日 下午4:45:49
 */
@Configuration
public class CorsConfig {
	
	@Bean
	public WebMvcConfigurer corsConfigurer() {
		return new WebMvcConfigurer() {
			@Override
			public void addCorsMappings(CorsRegistry registry) {
				registry
				.addMapping("/api/**") 		// 允许跨域请求的地址
				.allowedOrigins("*")		// 允许任何域请求
				.allowedMethods("*")		// 允许任何方法（post、get等）
				.allowedHeaders("*")		// 允许任何头
				.allowCredentials(true)
				;
			}
		};
	}
}